List an Automation's versions
curl --request GET \
--url https://api.checkfu.com/v1/automations/{id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/automations/{id}/versions"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/automations/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/automations/{id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/automations/{id}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/automations/{id}/versions")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/automations/{id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "automation_version",
"automation_id": "<string>",
"version": 123,
"kind": "live",
"published_at": "<string>",
"published_by": {
"type": "person",
"principal_id": "<string>"
},
"document": {
"name": "<string>",
"runs_as": "<string>",
"blocks": [
{
"id": "<string>",
"type": "trigger",
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>"
},
"name": "<string>"
}
],
"wires": [
{
"from": "<string>",
"to": "<string>",
"port": "<string>",
"max_attempts": 123
}
],
"environment_id": "<string>",
"run_limits": {
"deadline_seconds": 123,
"max_concurrent_children": 123,
"budget": {
"limit": 123,
"metric": "model_spend"
}
}
}
}
],
"next_page": "<string>"
}{
"error": {
"type": "invalid_request_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed",
"code": "validation.malformed"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "authentication_error",
"code": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "permission_error",
"code": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
},
"request_id": "<string>"
}{
"error": {
"type": "not_found_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found",
"code": "validation.not_found"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"code": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
},
"request_id": "<string>"
}{
"error": {
"type": "api_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal",
"code": "runtime.internal"
},
"type": "error",
"request_id": "<string>"
}List an Automation's versions
List the published versions of an Automation written as blocks, newest first and one page at a time, each with its number, kind, when and by whom it was…
GET
/
v1
/
automations
/
{id}
/
versions
List an Automation's versions
curl --request GET \
--url https://api.checkfu.com/v1/automations/{id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/automations/{id}/versions"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/automations/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/automations/{id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/automations/{id}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/automations/{id}/versions")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/automations/{id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "automation_version",
"automation_id": "<string>",
"version": 123,
"kind": "live",
"published_at": "<string>",
"published_by": {
"type": "person",
"principal_id": "<string>"
},
"document": {
"name": "<string>",
"runs_as": "<string>",
"blocks": [
{
"id": "<string>",
"type": "trigger",
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>"
},
"name": "<string>"
}
],
"wires": [
{
"from": "<string>",
"to": "<string>",
"port": "<string>",
"max_attempts": 123
}
],
"environment_id": "<string>",
"run_limits": {
"deadline_seconds": 123,
"max_concurrent_children": 123,
"budget": {
"limit": 123,
"metric": "model_spend"
}
}
}
}
],
"next_page": "<string>"
}{
"error": {
"type": "invalid_request_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed",
"code": "validation.malformed"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "authentication_error",
"code": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "permission_error",
"code": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
},
"request_id": "<string>"
}{
"error": {
"type": "not_found_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found",
"code": "validation.not_found"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"code": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
},
"request_id": "<string>"
}{
"error": {
"type": "api_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal",
"code": "runtime.internal"
},
"type": "error",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Path Parameters
Pattern:
^auto_[0-9a-f]{32}$